## org.jboss.netty.util
Interface EstimatableObjectWrapper

All Known Implementing Classes:
  ChannelEventRunnable

    public interface EstimatableObjectWrapper

Represents an object which contains another object that needs to be taken into account by `ObjectSizeEstimator` for more accurate object size estimation.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`Object` `unwrap()` Returns the underlying object that needs to be taken into account by `ObjectSizeEstimator` for more accurate object size estimation.

Method Detail

### unwrap

    Object unwrap()

  Returns the underlying object that needs to be taken into account by `ObjectSizeEstimator` for more accurate object size estimation.

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.